Package com.databricks.jdbc.dbclient

## Interface IDatabricksHttpClient

All Known Implementing Classes:
  `DatabricksHttpClient`

    public interface IDatabricksHttpClient

Http client interface for executing http requests.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.http.client.methods.CloseableHttpResponse` `execute​(org.apache.http.client.methods.HttpUriRequest request)` Executes the given http request and returns the response
`org.apache.http.client.methods.CloseableHttpResponse` `execute​(org.apache.http.client.methods.HttpUriRequest request, boolean supportGzipEncoding)` Executes the given http request and returns the response

### Method Detail

#### execute

    org.apache.http.client.methods.CloseableHttpResponse execute​(org.apache.http.client.methods.HttpUriRequest request)
                                                          throws DatabricksHttpException

Executes the given http request and returns the response

Parameters:
  `request` - underlying http request
Returns:
  http response
Throws:
  `DatabricksHttpException`

#### execute

    org.apache.http.client.methods.CloseableHttpResponse execute​(org.apache.http.client.methods.HttpUriRequest request,
                                                                 boolean supportGzipEncoding)
                                                          throws DatabricksHttpException

Executes the given http request and returns the response

Parameters:
  `request` - underlying http request
  `supportGzipEncoding` - whether to support gzip encoding header
Returns:
  http response
Throws:
  `DatabricksHttpException`